%define pkg_name        XML-RSS-Feed
%define pkg_version     2.212
%define rpm_pkg_version 2.2_12
%define rpm_pkg_release 1.n0i.3

Summary:       Persistent XML RSS Encapsulation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JB/JBISBEE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Clone)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Storable)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI)
BuildRequires: perl(XML::RSS)


%description
XML::RSS::Feed - Persistent XML RSS Encapsulation


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Wed Jun 13 2007 Marius Feraru <altblue@n0i.net> - 2.2_12-1.n0i.3.2.212
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 2.212

* Wed Jun 14 2006 Marius Feraru <altblue@n0i.net> - 2.2-1.n0i.2
- version 2.2

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 2.1-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
